python-uno_4.3.3-2+deb8u11_i386.deb


Advertisement

Description

python-uno - Python-UNO bridge (support for old python 2)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package filename python-uno_4.3.3-2+deb8u11_i386.deb
Package name python-uno
Package version 4.3.3
Package release 2+deb8u11
Package architecture i386
Package type deb
Category devel::lang:c++ devel::lang:python implemented-in::python oldlibs role::shared-lib suite::openoffice
Homepage http://udk.openoffice.org/python/python-bridge.html
License -
Maintainer Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Download size 280.15 KB
Installed size 538.00 KB
The Python-UNO bridge allows use of the standard LibreOffice API
with the Python scripting language. It additionally allows
others to develop UNO components in Python, thus Python UNO components
may be run within the LibreOffice process and can be called from C++
or the built in StarBasic scripting language.
This package is for compatibility with applications/libraries not ported
to python 3 yet. Prefer python3-uno over this.

Alternatives

Package Version Architecture Repository
python-uno_4.3.3-2+deb8u11_amd64.deb 4.3.3 amd64 Debian Main
python-uno - - -

Requires

Name Value
libc6 >= 2.19
libgcc1 >= 1:4.1.1
libpython2.7 >= 2.7
libreoffice-core = 1:4.3.3-2+deb8u11
libstdc++6 >= 4.1.1
python << 2.8
python >= 2.7
python2.7 -
uno-libs3 >= 4.1.0~alpha
ure -

Provides

Name Value
python2.7-uno -

Conflicts

Name Value
python3-uno -
python3.3-uno -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-uno_4.3.3-2+deb8u11_i386.deb
Source Package libreoffice

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-uno deb package:
    # sudo apt-get install python-uno

Files

Path
/usr/lib/libreoffice/program/libpythonloaderlo.so
/usr/lib/libreoffice/program/libpyuno.so
/usr/lib/libreoffice/program/pythonloader.py
/usr/lib/libreoffice/program/pythonloader.unorc
/usr/lib/libreoffice/program/pyuno.so
/usr/lib/libreoffice/program/services/pyuno.rdb
/usr/lib/libreoffice/share/Scripts/python/Capitalise.py
/usr/lib/libreoffice/share/Scripts/python/HelloWorld.py
/usr/lib/libreoffice/share/Scripts/python/pythonSamples/TableSample.py
/usr/lib/libreoffice/share/registry/pyuno.xcd
/usr/lib/python2.7/dist-packages/uno.py
/usr/lib/python2.7/dist-packages/unohelper.py
/usr/share/bug/python-uno/presubj
/usr/share/doc/python-uno/NEWS.Debian.gz
/usr/share/doc/python-uno/README.gz
/usr/share/doc/python-uno/changelog.Debian.gz
/usr/share/doc/python-uno/copyright
/usr/share/doc/python-uno/modes.sxd
/usr/share/doc/python-uno/demo/Addons.xcu
/usr/share/doc/python-uno/demo/biblioaccess.py
/usr/share/doc/python-uno/demo/hello_world_comp.py
/usr/share/doc/python-uno/demo/makefile.mk
/usr/share/doc/python-uno/demo/ooextract.py
/usr/share/doc/python-uno/demo/pyunoenv.bat
/usr/share/doc/python-uno/demo/pyunoenv.tcsh
/usr/share/doc/python-uno/demo/swriter.py
/usr/share/doc/python-uno/demo/swritercomp.py
/usr/share/doc/python-uno/demo/swritercompclient.py
/usr/share/lintian/overrides/python-uno
/usr/share/python/runtime.d/python-uno.rtupdate

Changelog

2018-04-18 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u11) jessie-security; urgency=high
* debian/patches/CVE-2018-10119.diff,
debian/patches/CVE-2018-10120.diff: as name says...
2018-02-11 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u10) jessie-security; urgency=high
* debian/patches/WEBSERVICE-only-http-and-https.diff: backport; as name says.
fix for "Remote arbitrary file disclosure vulnerability via WEBSERVICE
formula" (CVE-2018-1055 / CVE-2018-6871)
* debian/patches/layout-footnote-use-after-free.diff: add; as name says.
possible patch for iDefense V-mct3ei5wml
2017-11-06 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u9) jessie-security; urgency=medium
* debian/patches/CVE-2017-1260{7,8}.diff: don't create empty test files
* debian/patches/CVE-2017-12608.diff: remove filters-test.cxx hunk
2017-11-03 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u8) jessie-security; urgency=medium
* debian/rules:
- make i386 make check notfatal for now given the i386 Java Stack Clash
regression
* debian/patches/CVE-2017-12607.diff, debian/patches/CVE-2017-12608.diff.
debian/patches/series: apply patches for above CVEs
2017-04-24 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u7) jessie-security; urgency=high
* debian/patches/CVE-2017-7870.diff: fix CVE-2017-7870
2017-01-31 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u6) jessie-security; urgency=high
* debian/patches/olefix.diff: fix CVE-2017-3157
2016-06-22 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u5) jessie-security; urgency=medium
* debian/patches/CVE-2016-4324.diff: fix "LibreOffice RTF Stylesheet Code
Execution Vulnerability" (TALOS-CAN-0126 / CVE-2016-4324) 
2016-03-28 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u4) jessie; urgency=medium
* debian/patches/ppc64el-jdk-paths.diff: fix ppc64el FTBFS due to changed
OpenJDK paths, thanks Slavek Banko (closes: #819375)
* debian/rules:
- fix logic to not install sound files (closes: #780497)
2016-02-11 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u3) jessie-security; urgency=high
* debian/patches/V-1lp8t84lh4.diff: fix "LibreOffice Writer Lotus Word Pro
TabRack Buffer Overflow Vulnerability"
* debian/patches/V-pxk0pgyk9d.diff: fix "LibreOffice Writer Lotus Word Pro
'ReadRootData' Buffer Overflow Vulnerability"
* debian/patches/V-mgylorku1q.diff: fix "LibreOffice Writer Lotus Word Pro
Bullet Buffer Overflow Vulnerability"
(CVE-2016-0794)
* debian/patches/V-a7vjdei7l7.diff: fix "LibreOffice Writer Lotus Word Pro
'TocSuperLayout' Buffer Overflow Vulnerability"
(CVE-2016-0795)
2015-08-28 - Rene Engelhard <rene@debian.org>
libreoffice (1:4.3.3-2+deb8u2) jessie-security; urgency=high
* debian/patches/CVE-2015-4551.diff: backport fix for Arbritary
file disclosure vulnerability (CVE-2014-4551) from libreoffice-4-4-4
branch
* debian/patches/ww8dontwrap.diff: fix 'LibreOffice "Piece Table Counter"
Invalid Check Design Error Vulnerability' (CVE-2015-5213), from
libreoffice-4-4-5 branch
* debian/patches/coverity-1266485.diff: fix 'LibreOffice "PrinterSetup
Length" Integer Underflow Vulnerability' (CVE-2015-5212),
from libreoffice-4-4-5 branch
* debian/patches/pStatus-vector-offsets.diff: fix 'LibreOffice Bookmark
Status Memory Corruption Vulnerability' (CVE-2015-5214),
from libreoffice-4-4 branch

See Also

Package Description
python-unshare_0.1-2_i386.deb Python bindings for the Linux unshare() syscall
python-uritemplate_0.6-1_all.deb implementation of RFC6570 - Python 2.x
python-urlgrabber_3.9.1-4.1_all.deb A high-level cross-protocol url-grabber
python-urllib3-whl_1.9.1-3_all.deb HTTP library with thread-safe connection pooling
python-urllib3_1.9.1-3_all.deb HTTP library with thread-safe connection pooling for Python
python-urlobject_2.3.4-1_all.deb utility class for manipulating URLs
python-urwid-satext_0.4.1-1_all.deb collection of urwid widgets
python-urwid_1.2.1-2+b1_i386.deb curses-based UI/widget library for Python 2
python-usb_0.4.3-1_i386.deb USB interface for Python
python-usbtc08_0.1.1-2_i386.deb Python wrapper for libusbtc08
python-utidylib_0.2-9_all.deb Python wrapper for TidyLib
python-utmp_0.8+nmu1+b1_i386.deb python module for working with utmp
python-uwsgidecorators_2.0.7-1+deb8u2_all.deb module of decorators for elegant access to uWSGI API (Python 2)
python-validictory-doc_0.8.3-2_all.deb general purpose Python data validator (Documentation)
python-validictory_0.8.3-2_all.deb general purpose Python data validator (Python 2)
Advertisement
Advertisement